<script lang="ts">
  import "@material-design-icons/font/round.css";

  // either material icon name or url(...)
  export let src: string;
  export let alt: string = "";
</script>

{#if src.startsWith("url(")}
  <img {src} {alt} class="icon" />
{:else}
  <span class="material-icons-round icon">{src}</span>
{/if}

<style lang="scss">
  span.icon {
    font-size: 1.6rem;
  }

  img.icon {
    width: 1.6rem;
    height: 1.6rem;
    object-fit: contain;
    object-position: center;
  }
</style>
